using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Application.Common.Services;

public interface SessionUserService
{
    public Guid? Guid { get; }

    public string? Username { get; }

    public string? Email { get; }

    public ICollection<IdentityRole> Roles { get; }


    public bool IsAuthenticated => Guid != null;


    public string? AccessToken { get; }

    public string? RefreshToken { get; }
}
