using cuqmbr.TravelGuide.Domain.Enums;
using MediatR;
using cuqmbr.TravelGuide.Application.Employees.Models;

namespace cuqmbr.TravelGuide.Application.Employees.Commands.AddEmployee;

public record AddEmployeeCommand : IRequest<EmployeeDto>
{
    public string FirstName { get; set; }

    public string LastName { get; set; }

    public string Patronymic { get; set; }

    public Sex Sex { get; set; }

    public DateOnly BirthDate { get; set; }


    public Guid CompanyGuid { get; set; }

    public ICollection<EmployeeDocumentModel> Documents { get; set; }


    public string Username { get; set; }

    public string Email { get; set; }

    public string Password { get; set; }
}
