using MediatR;
using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Application
    .Identity.Accounts.Commands.UpdateAccount;

public record UpdateAccountCommand : IRequest<AccountDto>
{
    public Guid Guid { get; set; }

    public string? Username { get; set; }

    public string? Email { get; set; }

    public string? Password { get; set; }

    public ICollection<IdentityRole>? Roles { get; set; }
}
