namespace cuqmbr.TravelGuide.Application.VehicleEnrollmentSearch.ViewModels;

public sealed class SearchAllViewModel
{
    public Guid DepartureAddressUuid { get; set; }

    public Guid ArrivalAddressUuid { get; set; }

    public DateOnly DepartureDate { get; set; }

    public HashSet<string> VehicleTypes { get; set; }

    public TimeSpan? TravelTimeGreaterThanOrEqualTo { get; set; }

    public TimeSpan? TravelTimeLessThanOrEqualTo { get; set; }

    public decimal? CostGreaterThanOrEqualTo { get; set; }

    public decimal? CostLessThanOrEqualTo { get; set; }

    public short? NumberOfTransfersGreaterThanOrEqualTo { get; set; }

    public short? NumberOfTransfersLessThanOrEqualTo { get; set; }

    public DateTimeOffset? DepartureTimeGreaterThanOrEqualTo { get; set; }

    public DateTimeOffset? DepartureTimeLessThanOrEqualTo { get; set; }

    public DateTimeOffset? ArrivalTimeGreaterThanOrEqualTo { get; set; }

    public DateTimeOffset? ArrivalTimeLessThanOrEqualTo { get; set; }
}
