namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class Company : EntityBase
{
    public string Name { get; set; }

    public string LegalAddress { get; set; }

    public string ContactEmail { get; set; }

    public string ContactPhoneNumber { get; set; }


    public ICollection<Employee> Employees { get; set; }

    public ICollection<Vehicle> Vehicles { get; set; }


    public long AccountId { get; set; }

    public Account Account { get; set; }
}
