using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class Employee : EntityBase
{
    public string FirstName { get; set; }

    public string LastName { get; set; }

    public string Patronymic { get; set; }

    public Sex Sex { get; set; }

    public DateOnly BirthDate { get; set; }


    public long CompanyId { get; set; }

    public Company Company { get; set; }

    public ICollection<EmployeeDocument> Documents { get; set; }

    public ICollection<VehicleEnrollmentEmployee> VehicleEnrollmentEmployees { get; set; }


    public long AccountId { get; set; }

    public Account Account { get; set; }
}
