using cuqmbr.TravelGuide.Domain.Enums;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

public class SexConverter : ValueConverter<Sex, string>
{
    public SexConverter()
        : base(
        v => v.Name,
        v => Sex.FromName(v))
    { }
}
