using cuqmbr.TravelGuide.Domain.Enums;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

public class TicketStatusConverter : ValueConverter<TicketStatus, string>
{
    public TicketStatusConverter()
        : base(
        v => v.Name,
        v => TicketStatus.FromName(v))
    { }
}
