using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.Aircrafts.Commands.DeleteAircraft;

public class DeleteAircraftCommandValidator : AbstractValidator<DeleteAircraftCommand>
{
    public DeleteAircraftCommandValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
