using MediatR;

namespace cuqmbr.TravelGuide.Application.Buses.Commands.AddBus;

public record AddBusCommand : IRequest<BusDto>
{
    public string Number { get; set; }

    public string Model { get; set; }

    public short Capacity { get; set; }

    public Guid CompanyGuid { get; set; }
}
