using MediatR.Behaviors.Authorization;

namespace cuqmbr.TravelGuide.Application.Common.Authorization;

public class AllowAllRequirement : IAuthorizationRequirement
{
    class MustBeAuthenticatedRequirementHandler :
        IAuthorizationHandler<AllowAllRequirement>
    {
        public Task<AuthorizationResult> Handle(
            AllowAllRequirement request,
            CancellationToken cancellationToken)
        {
            return Task.FromResult(AuthorizationResult.Succeed());
        }
    }
}
