using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Application.Common.Services;

public interface CurrencyConverterService
{
    Task<decimal> ConvertAsync(decimal amount, Currency from, Currency to,
        CancellationToken cancellationToken);

    Task<decimal> ConvertAsync(decimal amount, Currency from, Currency to,
        DateTimeOffset time, CancellationToken cancellationToken);
}
