using cuqmbr.TravelGuide.Application.Common.Models;
using MediatR;

namespace cuqmbr.TravelGuide.Application.Identity.Roles.Queries.GetRolesPage;

public record GetRolesPageQuery : IRequest<PaginatedList<string>>
{
    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;

    public string Search { get; set; } = String.Empty;
}
