using cuqmbr.TravelGuide.Application.Payments.LiqPay.TicketGroups.Models;
using cuqmbr.TravelGuide.Domain.Enums;
using MediatR;

namespace cuqmbr.TravelGuide.Application.Payments.LiqPay
    .TicketGroups.Commands.GetPaymentLink;

public record GetPaymentLinkCommand : IRequest<PaymentLinkDto>
{
    public string PassangerFirstName { get; set; }

    public string PassangerLastName { get; set; }

    public string PassangerPatronymic { get; set; }

    public Sex PassangerSex { get; set; }

    public DateOnly PassangerBirthDate { get; set; }


    public ICollection<TicketGroupPaymentTicketModel> Tickets { get; set; }


    public string ResultPath { get; set; }
}
