using cuqmbr.TravelGuide.Application.Common.Authorization;
using MediatR.Behaviors.Authorization;

namespace cuqmbr.TravelGuide.Application.Payments.LiqPay
    .TicketGroups.Commands.ProcessCallback;

public class ProcessCallbackCommandAuthorizer :
    AbstractRequestAuthorizer<ProcessCallbackCommand>
{
    public override void BuildPolicy(ProcessCallbackCommand request)
    {
        UseRequirement(new AllowAllRequirement());
    }
}
