using cuqmbr.TravelGuide.Application.Common.Authorization;
using MediatR.Behaviors.Authorization;

namespace cuqmbr.TravelGuide.Application.TicketGroups.Commands.RemoveOldReservedTicketGroups;

public class RemoveOldReservedTicketGroupsCommandAuthorizer :
    AbstractRequestAuthorizer<RemoveOldReservedTicketGroupsCommand>
{
    public override void BuildPolicy(
        RemoveOldReservedTicketGroupsCommand request)
    {
        UseRequirement(new AllowAllRequirement());
    }
}
