using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.Trains.Commands.DeleteTrain;

public class DeleteTrainCommandValidator : AbstractValidator<DeleteTrainCommand>
{
    public DeleteTrainCommandValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
