using MediatR;
using Microsoft.AspNetCore.Mvc;

namespace cuqmbr.TravelGuide.HttpApi.Controllers;

[ApiController]
[Produces("application/json")]
[Consumes("application/json")]
public abstract class ControllerBase : Microsoft.AspNetCore.Mvc.ControllerBase
{
    private IMediator _mediator;
    protected IMediator Mediator => 
        _mediator ??
        HttpContext.RequestServices.GetService<IMediator>();
}
