using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

// Convert localized time to UTC

public class DateTimeOffsetConverter :
    ValueConverter<DateTimeOffset, DateTimeOffset>
{
    public DateTimeOffsetConverter()
        : base(
        v => v.ToUniversalTime(),
        v => v)
    { }
}
