using cuqmbr.TravelGuide.Domain.Enums;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

public class RoleConverter : ValueConverter<IdentityRole, string>
{
    public RoleConverter()
        : base(
        v => v.Name,
        v => IdentityRole.FromName(v))
    { }
}
